Summary:        The GNOME spreadsheet
Name: 		gnumeric
Version: 	0.67
Release: 	1_gpp
License: 	GPL
Group: 		Applications/Productivity
Source:         ftp://ftp.gnome.org/pub/GNOME/sources/gnumeric/gnumeric-%{version}.tar.gz
Url:		http://www.gnome.org/gnumeric
BuildRoot:	/var/tmp/%{name}-%{PACKAGE_VERSION}-root
Requires:       gtk+ >= 1.2.7
Requires:       gnome-libs >= 1.0.57
Requires:       gnome-print >= 0.25
Requires:       libglade >= 0.16
Requires:       libxml >= 1.8.14
Requires:       libole2 >= 0.2.2
Requires:       gal >= 0.8
BuildRequires:  gdk-pixbuf-devel
BuildRequires:  libole2-devel >= 0.2.2
BuildRequires:  gnome-libs-devel >= 1.0.57
BuildRequires:  libxml-devel >= 1.8.14
BuildRequires:  gnome-print-devel >= 0.25
BuildRequires:  libglade-devel >= 0.16
BuildRequires:  gal-devel >= 0.8

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
applications and desktop tools to be used in conjunction with a window
manager for the X Window System.

This is the Gnumeric, a spreadsheet for GNOME.  It aims to be a drop in
replacement for commercial spreadsheets.  It provides import/export from
MS Excel files and many other formats (csv, latex, xbase, applix).

%prep
%setup -q

%build
%ifarch alpha
	MYARCH_FLAGS="--host=alpha-redhat-linux"
%endif

if [ ! -f configure ]; then
    CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh $MYARCH_FLAGS --prefix=%{_prefix} \
	--sysconfdir=%{_sysconfdir} --bindir=%{_bindir} \
	--libdir=%{_libdir} --datadir=%{_datadir} \
	--with-bonobo --without-gb
fi

CFLAGS="$RPM_OPT_FLAGS" ./configure $MYARCH_FLAGS --prefix=%{_prefix} \
    --sysconfdir=%{_sysconfdir} --datadir=%{_datadir} \
    --libdir=%{_libdir} --bindir=%{_bindir} \
    --with-bonobo --without-gb


if [ "$SMP" != "" ]; then
    make -k -j$SMP "MAKE=make -k -j$SMP"
else
    make -k
fi

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT \
    install

#prefix=$RPM_BUILD_ROOT%{_prefix} \
#    sysconfdir=$RPM_BUILD_ROOT%{_sysconfdir} \
#    libdir=$RPM_BUILD_ROOT/%{_libdir} \
#    datadir=$RPM_BUILD_ROOT/%{_datadir} \
#    bindir=$RPM_BUILD_ROOT/%{_bindir} \

%{find_lang} %name 

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr (-, root, root)
%doc HACKING AUTHORS ChangeLog NEWS BUGS README COPYING TODO
%config %{_datadir}/gnome/apps/Applications/*
%{_bindir}/*
%{_libdir}/*
%{_datadir}/gnome/help/gnumeric
#{_datadir}/gnome/ui/*
%{_datadir}/gnumeric
%{_datadir}/mc/templates/*
%{_datadir}/mime-info/*
%{_datadir}/oaf/*
%{_datadir}/pixmaps/*

#development headers aren't included at this point, pending a more
#stable API.  So, don't develop against gnumeric, for now.

%changelog
* Sun Jun 10 2001 Gregory Leblanc <gleblanc@rh7.build.cu-portland.edu>
- re-wrote configure, make install, and %files to be a lot less ugly
- replaced Copyright with License

* Sat May 19 2001 Jody Goldberg <jgoldberg@home.com>
- update the gal req

* Tue Apr 01 2001 Jody Goldberg <jgoldberg@home.com>
- remove gnorba file
- rename oaf file
- include category files

* Tue Feb 20 2001 John Gotts <jgotts@linuxsavvy.com>
- Adapted to the recent directory reorganization.  Also alphabetically
  reordered the directories while I was at it.  Someone should figure out why
  we can't package the locale data.

* Tue Feb 13 2001 Jody Goldberg <jgoldberg@home.com>
- Updated version requirements for libglade

* Sat Feb 10 2001 Jody Goldberg <jgoldberg@home.com>
- Updated version requirements for GAL

* Wed Dec 06 2000 Jody Goldberg <jgoldberg@home.com>
- Updated version requirements for GAL

* Tue Nov 14 2000 John Gotts <jgotts@linuxsavvy.com>
- Require GAL 0.2.2 instead of 0.2.2.0.
- Use %{version} instead of at characters surrouding VERSION (it makes a nicer
  generated spec file).
- Created devel package.
- Fixed category to match Red Hat.
- Added the standard mechanism to build from either the tarball or CVS (and
  reindented things following the current practice).

* Thu Nov 09 2000 Jody Goldberg <jgoldberg@home.com>
- Updated version requirements for GAL

* Fri Nov 03 2000 Jody Goldberg <jgoldberg@home.com>
- Updated version requirements for GAL

* Wed Oct 18 2000 John Gotts <jgotts@linuxsavvy.com>
- Added gnumeric.xml, gnome-application-x-gnumeric.png,
  gnome-application-x-xls.png, gnumeric.oafinfo, and gnumericConf.sh. 
- Fixed incorrect idl path.
- Removed an excess blank line.  ;-)

* Sun Oct 01 2000 Almer S. Tigelaar <almer1@dds.nl>
- Make some minor adjustments for the autoformatter

* Thu Sep 28 2000 Jody Goldberg <jgoldberg@home.com>
- Updated version requirements for gnome-print

* Wed Sep 20 2000 Jody Goldberg <jgoldberg@home.com>
- Updated version requirements for glade
- Looks like someone already added gal.

* Wed Sep 20 2000 Kenneth Christiansen <kenneth@gnu.org>
- Made it work with the new autoformatter
- Upped gnome-print to 0.22

* Sat Aug 11 2000 Jody Goldberg <jgoldberg@home.com>
- Updated version requirements for gnome-print

* Sat Jun 21 2000 Jody Goldberg <jgoldberg@home.com>
- Add libole2

* Sat May 20 2000 Jody Goldberg <jgoldberg@home.com>
- Updated version requirements for gnome-print, and libglade.

* Mon May 15 2000 Karl Eichwalder <ke@suse.de>
- Use %{version}, %{name} and %{sysconfdir} more consistently.
- Avoid long lines.

* Thu Mar 29 2000 Kjartan Maraas <kmaraas@online.no>
- Removed gnome-gnumeric-xl.png since it is nowhere to be found.
- Added --without-bonobo and --without-gb.
- Added %define for sysconfdir

* Mon Feb 29 2000 Jody Goldberg <jgoldberg@home.com>
- Updated version requirements for gnome-print, and gnome-libs.

* Sun Jan 30 2000 Gregory McLean <gregm@comstar.net>
- Added in some auto-detect the language files logic (rpm 3.0.xx only)

* Mon Jan 12 2000 Jody Goldberg <jgoldberg@home.com>
- Add depend on gtk+ >= 1.2.2 so that we can get gtk_object_get.

* Mon Jan 03 2000 Gregory McLean <gregm@comstar.net>
- Updated to 0.47

* Mon Dec 20 1999 Jody Goldberg <jgoldberg@home.com>
- Updated the libglade dependancy.
- Remove req for guile.  We can build without it.

* Thu Sep 02 1999 Gregory McLean <gregm@comstar.net>
- Added small fix so glade generated dialogs appear.

* Wed Jul 14 1999 Gregory McLean <gregm@comstar.net>
- Added the gnome-print requirement.
- Updated the file list to try and quiet down the updating.
- added the sysconfdir

* Tue Mar 9  1999 Gregory McLean <gregm@comstar.net>
- Updated the spec file.

* Thu Sep 24 1998 Michael Fulbright <msf@redhat.com>
- Version 0.2
